using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CH1_EX4
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            if (txtUserName.Text.Length < 5 || txtUserName.Text.Length > 30)
            {
                MessageBox.Show("نام کاربری بایستی حداقل 5 و حداکثر 30 کاراکتر باشد", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            if (txtPass.Text.Length < 6 && txtConfirmPass.Text.Length<6)
            {
                MessageBox.Show("رمز کاربر و تاییدیه بایستی حداقل 6 کاراکتر باشد", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            if (txtPass.Text.Trim()!=txtConfirmPass.Text.Trim() )
            {
                MessageBox.Show("رمز ورود و تاییدیه رمز یکسان نیستند لطفا مجددا وارد کنید", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            MessageBox.Show("کاربر جدید به سیستم اضافه گردید", "ثبت کاربر جدید", MessageBoxButtons.OK, MessageBoxIcon.Information);
            txtUserName.Text = "";
            txtPass.Text = "";
            txtConfirmPass.Text = "";
            txtUserName.Focus();
        }

        private void btnClear_Click(object sender, EventArgs e)
        {
            txtUserName.Text = "";
            txtPass.Text = "";
            txtConfirmPass.Text = "";
            txtUserName.Focus();
        }

        private void Form2_Load(object sender, EventArgs e)
        {

        }
    }
}
